InclusionProof represents the proof that an instance is present or not in the global state trie.

### Hierarchy

- Message<InclusionProof>
  - InclusionProof

## Index

### Constructors

- constructor

### Properties

- $type
- _state
- empty
- interiors
- leaf
- nonce
- $type

### Accessors

- key
- stateChangeBody
- value

### Methods

- exists
- hashEmpty
- hashInterior
- hashLeaf
- toJSON
- create
- decode
- decodeDelimited
- encode
- encodeDelimited
- fromObject
- register
- toObject
- verify

## Constructors

### constructor

- new InclusionProof(props?: Properties<InclusionProof>): InclusionProof

- Overrides Message.__constructor

  - Defined in src/byzcoin/proof.ts:356

  #### Parameters

  - ##### Optional props: Properties<InclusionProof>

  #### Returns InclusionProof

## Properties

### $type

$type: Type

Inherited from Message.$type

- Defined in node_modules/protobufjs/index.d.ts:524

Reference to the reflected type.

### Private _state

_state: StateChangeBody | undefined

- Defined in src/byzcoin/proof.ts:356

### empty

empty: EmptyNode

- Defined in src/byzcoin/proof.ts:354

### interiors

interiors: InteriorNode[]

- Defined in src/byzcoin/proof.ts:352

### leaf

leaf: LeafNode

- Defined in src/byzcoin/proof.ts:353

### nonce

nonce: Buffer

- Defined in src/byzcoin/proof.ts:355

### Static $type

$type: Type

Inherited from Message.$type

- Defined in node_modules/protobufjs/index.d.ts:521

Reference to the reflected type.

## Accessors

### key

- get key(): Buffer

- - Defined in src/byzcoin/proof.ts:321

  #### Returns Buffer

  the key in the leaf for this inclusionProof. This is not the same as the key this proof has been created for!

### stateChangeBody

- get stateChangeBody(): StateChangeBody

- - Defined in src/byzcoin/proof.ts:336

  Returns the stateChangeBody of this InclusionProof.

  #### Returns StateChangeBody

### value

- get value(): Buffer

- - Defined in src/byzcoin/proof.ts:329

  #### Returns Buffer

  the value stored in the instance. The value of an instance holds the contractID, darcID, version and the data of the instance.

## Methods

### exists

- exists(key: Buffer): boolean

- - Defined in src/byzcoin/proof.ts:427

  Check if the key exists in the proof

  throws

    for corrupted proofs

  #### Parameters

  - ##### key: Buffer

  #### Returns boolean

  true when it exists, false otherwise

### hashEmpty

- hashEmpty(): Buffer

- - Defined in src/byzcoin/proof.ts:406

  Get the hash of the empty node of the inclusion proof

  #### Returns Buffer

  the hash of the empty node

### hashInterior

- hashInterior(index: number): Buffer

- - Defined in src/byzcoin/proof.ts:370

  Get the hash of the interior node at the given index

  #### Parameters

  - ##### index: number

    the index of the interior node

  #### Returns Buffer

  the hash as a buffer

### hashLeaf

- hashLeaf(): Buffer

- - Defined in src/byzcoin/proof.ts:383

  Get the hash of the leaf of the inclusion proof

  #### Returns Buffer

  the hash as a buffer

### toJSON

- toJSON(): object

- Inherited from Message.toJSON

  - Defined in node_modules/protobufjs/index.d.ts:589

  Converts this message to JSON.

  #### Returns object

  JSON object

  - ##### [k: string]: any

### Static create

- create<T>(this: Constructor<T>, properties?: object): Message<T>

- Inherited from Message.create

  - Defined in node_modules/protobufjs/index.d.ts:531

  Creates a new message of this type using the specified properties.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### Optional properties: object

    - ##### [k: string]: any

  #### Returns Message<T>

  Message instance

### Static decode

- decode<T>(this: Constructor<T>, reader: Reader | Uint8Array): T

- Inherited from Message.decode

  - Defined in node_modules/protobufjs/index.d.ts:554

  Decodes a message of this type.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### reader: Reader | Uint8Array

    Reader or buffer to decode

  #### Returns T

  Decoded message

### Static decodeDelimited

- decodeDelimited<T>(this: Constructor<T>, reader: Reader | Uint8Array): T

- Inherited from Message.decodeDelimited

  - Defined in node_modules/protobufjs/index.d.ts:561

  Decodes a message of this type preceeded by its length as a varint.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### reader: Reader | Uint8Array

    Reader or buffer to decode

  #### Returns T

  Decoded message

### Static encode

- encode<T>(this: Constructor<T>, message: T | object, writer?: Writer): Writer

- Inherited from Message.encode

  - Defined in node_modules/protobufjs/index.d.ts:539

  Encodes a message of this type.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### message: T | object

    Message to encode

  - ##### Optional writer: Writer

  #### Returns Writer

  Writer

### Static encodeDelimited

- encodeDelimited<T>(this: Constructor<T>, message: T | object, writer?: Writer): Writer

- Inherited from Message.encodeDelimited

  - Defined in node_modules/protobufjs/index.d.ts:547

  Encodes a message of this type preceeded by its length as a varint.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### message: T | object

    Message to encode

  - ##### Optional writer: Writer

  #### Returns Writer

  Writer

### Static fromObject

- fromObject<T>(this: Constructor<T>, object: object): T

- Inherited from Message.fromObject

  - Defined in node_modules/protobufjs/index.d.ts:575

  Creates a new message of this type from a plain object. Also converts values to their respective internal types.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### object: object

    Plain object

    - ##### [k: string]: any

  #### Returns T

  Message instance

### Static register

- register(): void

- - Defined in src/byzcoin/proof.ts:348
  see

    README#Message classes

  #### Returns void

### Static toObject

- toObject<T>(this: Constructor<T>, message: T, options?: IConversionOptions): object

- Inherited from Message.toObject

  - Defined in node_modules/protobufjs/index.d.ts:583

  Creates a plain object from a message of this type. Also converts values to other types if specified.

  #### Type parameters

  - #### T: Message<InclusionProof>

  #### Parameters

  - ##### this: Constructor<T>

  - ##### message: T

    Message instance

  - ##### Optional options: IConversionOptions

  #### Returns object

  Plain object

  - ##### [k: string]: any

### Static verify

- verify(message: object): string

- Inherited from Message.verify

  - Defined in node_modules/protobufjs/index.d.ts:568

  Verifies a message of this type.

  #### Parameters

  - ##### message: object

    Plain object to verify

    - ##### [k: string]: any

  #### Returns string

  `null` if valid, otherwise the reason why it is not

Generated using TypeDoc